<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:gcda="urn:hl7-org:greencda:c32" xmlns="urn:hl7-org:v3">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes"/>
	<xsl:template match="/">
	<text>
		<xsl:apply-templates select="@*|node()"/>
	</text>
	</xsl:template>	
	
	<xsl:template match="gcda:root">
		<xsl:apply-templates/>
	</xsl:template>
	
	<xsl:template match="gcda:a">
		<linkHtml>
			<xsl:attribute name="href"><xsl:value-of select="@href"/></xsl:attribute>
			<xsl:apply-templates/>
		</linkHtml>
	</xsl:template>
	
	<xsl:template match="gcda:b">
		<content>
			<xsl:attribute name="styleCode">Bold</xsl:attribute>
			<xsl:apply-templates/>
		</content>
	</xsl:template>
	
	<xsl:template match="gcda:i">
		<content>
			<xsl:attribute name="styleCode">Italics</xsl:attribute>
			<xsl:apply-templates/>
		</content>
	</xsl:template>
	
	<xsl:template match="gcda:u">
		<content>
			<xsl:attribute name="styleCode">Underline</xsl:attribute>
			<xsl:apply-templates/>
		</content>
	</xsl:template>
	
	<xsl:template match="gcda:ol">
		<list>
			<xsl:attribute name="styleCode">Ordered</xsl:attribute>
			<xsl:apply-templates/>
		</list>
	</xsl:template>
	
	<xsl:template match="gcda:ul">
		<list>
			<xsl:attribute name="styleCode">Unordered</xsl:attribute>
			<xsl:apply-templates/>
		</list>
	</xsl:template>
	
	<xsl:template match="gcda:p">
		<paragraph>
			<xsl:apply-templates/>
		</paragraph>
	</xsl:template>
	
  <xsl:template match="@*|node()">
    <xsl:copy>
      <xsl:apply-templates select="@*|node()"/>
    </xsl:copy>
  </xsl:template>
  
</xsl:stylesheet>
